# -*- coding: iso-8859-1 -*-

from tools.imports import *

import scicalc_param as param
from base.scicalc_debug import *

# Inclusion des librairies standards
import random
import wx
html = lazyModule('wx.html')
dialogs = lazyModule('wx.lib.dialogs')
import math
import sys
import os
import types
import string
import re
webbrowser = lazyModule('webbrowser')

# Inclusion des includes spécifiques
Help = lazyModule('base.help_wiki_functions')
Wiki = lazyModule('base.help_wiki_functions')
import base.version as version
functions = lazyModule('tools.functions')

# Inclusion des modules
from exts.maths.calc_functions import *
from exts.trigonometry.trigonometry_functions import *
from exts.geometry.geometry_objects import *
from exts.electronics.electronics_functions import *
from exts.constants.constants import *

try:
    from scipy import *
except:
    from Numeric import *

